Summary:	MPEG-4 streaming tools
Name:		mpeg4ip
Version:	1.1
Release:	1.intergenia
Source:		%name-%version.tar.gz
URL:		http://mpeg4ip.sf.net/
Patch4:		mpeg4ip-0.9.9-broadcaster.patch
Patch6:		mpeg4ip-1.1-braindamage.patch
Patch7:		mpeg4ip-1.1-compile.patch
License:	GPL
Group:		Applications/Internet
Prefix:		%{_prefix}
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	libtool, gtk+-devel, lame-devel, libogg-devel
BuildRequires:	libvorbis-devel, libid3tag-devel, id3lib-devel
BuildRequires:	SDL-devel >= 1.2.6, xvidcore-devel >= 1.0.2
BuildRequires:	faad2-devel >= 2.0, faac-devel >= 1.24
Requires:	SDL >= 1.2.6, faad2 >= 2.0, xvidcore >= 1.0.2
Requires:	lame >= 3.96.1, esound >= 0.2.8, faac >= 1.24
Packager:	Maik Broemme <mbroemme@plusserver.de>
Vendor:		Intergenia AG

%description
MPEG-4 streaming tools

%package devel
Summary: Development files for the %name MPEG-4 streaming software
Group: Development/Libraries

%description devel
Development files for the %name MPEG-4 streaming software

%prep
%setup -q -n %name-%version
%patch4 -p1 -b .broadcast.patch
%patch6 -p1 -b .braindamage.patch
%patch7 -p1 -b .suckage.patch

# Fix usage of legacy auto* tools
for i in `pwd` lib/rtp lib/SDLAudio; do
	pushd $i
	libtoolize --force || :
	aclocal
	[ "$i" != "lib/SDLAudio" ] && autoheader
	automake -a --foreign
	autoconf
	popd
done
ln -sf ../../libtool lib/SDLAudio/libtool

# Using -Wmissing-declaraions in combination with -Werror for C++ code
# is a _VERY_ bad idea
find . -type f |xargs perl -pi -e "s,-Werror,,g"

./bootstrap --prefix=%{_prefix} --enable-server --enable-player \
	--mandir=%_mandir --libdir=%_libdir/%name --sysconfdir=%_sysconfdir \
	--infodir=%_infodir --bindir=%_bindir

%build
make
cd lib/mp4v2/test
make mp4broadcaster

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# We don't need yet another SDL
pushd $RPM_BUILD_ROOT
rm -rf .%{_bindir}/sdl-config .%{_includedir}/SDL .%{_datadir}/aclocal/sdl.m4 .%{_mandir}/man3/SDL*
popd

# Missing from install scripts
cd lib/mp4v2/test
libtool --mode=install install -c -m 755 mp4broadcaster $RPM_BUILD_ROOT%{_bindir}
cd -

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/%name
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_datadir}/mp4*

%files devel
%defattr(-,root,root)
%_includedir/*
%_mandir/manm/api.mpt*

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Wed Dec  8 2004 Maik Broemme <mbroemme@plusserver.de> 1.1-1.intergenia
- rebuilt from scratch for RedHat Linux 9
- removed mp4ize

* Sun Aug 15 2004 Bernhard Rosenkraenzer <bero@arklinux.org> 1.1.3-0.20040701.3ark
- Don't conflict with faad2-devel

* Mon Jul  5 2004 Bernhard Rosenkraenzer <bero@arklinux.org> 1.1.3-0.20040701.2ark
- Fix mp4broadcaster installation

* Thu Jul  1 2004 Bernhard Rosenkraenzer <bero@arklinux.org> 1.1.3-0.20040701.1ark
- Update:
  - fix gcc 3.4 problems
  - fix some minor stuff, remove VOL from stream in mp4creator
  - 3gpp changes for mp4extract

* Tue Jun 22 2004 Bernhard Rosenkraenzer <bero@arklinux.org> 1.1-1ark
- 1.1 final

* Sat Jun 19 2004 Bernhard Rosenkraenzer <bero@arklinux.org> 1.1-0.20040619.1ark
- Update

* Mon Jun  7 2004 Bernhard Rosenkraenzer <bero@arklinux.org> 1.1-0.20040607.1ark
- Update
- Adapt mp4ize to current faac

* Fri Feb 27 2004 Bernhard Rosenkraenzer <bero@arklinux.org> 1.0.11-0.20040227.1ark
- Fix up mp4ize, add faac support to it, and make faac audio the default
- Update

* Wed Feb 25 2004 Bernhard Rosenkraenzer <bero@arklinux.org> 1.0.7-0.20040218.1ark
- Update CVS
- Move libraries to %_libdir/%name to avoid conflicts

* Sun Jan  4 2004 Bernhard Rosenkraenzer <bero@arklinux.org> 1.0-1ark
- 1.0

* Mon Dec 22 2003 Bernhard Rosenkraenzer <bero@arklinux.org> 1.0-0.rc3.1ark
- rc3

* Sun Dec 21 2003 Bernhard Rosenkraenzer <bero@arklinux.org> 1.0-0.rc1.2ark
- Port to current xvid

* Fri Aug 22 2003 Bernhard Rosenkraenzer <bero@arklinux.org> 0.9.9-1ark
- initial RPM
